Overview

ThinkPad Presentation Director is a display configuration utility for your ThinkPad computer that enables you to create, manage, and use presentation and display schemes. You can access these schemes through an on-screen display menu that is shown when you press the Fn + F7 key combination on your keyboard.

Using these schemes, you can quickly and easily configure your ThinkPad to do the following:

  • Display a presentation on an external projector, monitor, or television with appropriate resolution and color settings.

  • Disable the screen saver and power management timers and hide your desktop and instant-messaging windows to avoid interruptions during a presentation.

  • Use multiple monitors to extend the size of your desktop.

Presentation Director also enables you to capture your current display settings as a default scheme called "My Normal Display Settings". After you have finished your presentation, you can immediately and easily return to your default settings by applying this scheme.

To learn more about how to use Presentation Director, refer to the following:

Create Display and Presentation Schemes

Manage Presentation Director Settings

Capture Current Settings as a Default Scheme

Configure Fn+F7 Key Combination Behavior

Presentation Director status icon

Note: Some ThinkPad models do not support the Fn + F7 key combination. If Fn + F7 does not open the Presentation Director On-Screen Display menu, you can still create, manage, and use presentation and display schemes by launching Presentation Director through the Start Menu.

Trademarks


Create presentation and display schemes

Presentation Director provides a wizard that guides you through the process of creating a presentation and display scheme. Each scheme stores the following settings:

Display Mode - Defines which device or devices will be used to display video output.

Resolution, Color Depth, and Refresh Rate - Defines the screen resolution, color settings, and refresh rate of the video output signal.

Note: Setting a resolution that is not supported by the selected display device may result in any of the following:

  • A clipped image that is larger than the available display area of the device.

  • An image that is smaller than the available display area of the device.

  • A flickering, distorted, or blank image.

Presentation Options - Defines power management, screen saver, desktop background image file, ThinkLight(TM), and clean desktop settings that help avoid interruptions. This also supports opening a specific presentation file automatically when the scheme is applied.

To create a presentation and display scheme, do the following:

  1. Open Presentation Director from the Start Menu or click Manage Schemes... from the Fn+F7 On-Screen Display menu.

  2. Click New... to start the scheme wizard.

  3. Follow the prompts provided on each of the wizard pages

For more information on each of the wizard pages, refer to the following:

Choose display configuration

Choose display settings

Ensure an uninterrupted presentation

Configure additional settings

View summary and save scheme


Choose display configuration

On this wizard page, select the display device(s) to which you want to send the video output. The following options are offered:

  • ThinkPad LCD

  • External Device

    • Analog Projector or Monitor (VGA connector)

    • Digital Projector or Monitor (DVI connector)

    • Television (S-video out connector)

Note: Some ThinkPad(R) models can display the video output only on an analog projector or monitor, not on a DVI (Digital Video Interface) monitor or on a television display. In this case, the options are not displayed in the wizard.

If you choose to display the video output both on the ThinkPad computer display and on the external display device, the following options are offered:

  • Display same image on both devices

  • Extend desktop onto external device to create a larger display area (multiple monitors)

Note: If you choose the second option, the ThinkPad computer display and the external display device work as if they were a single larger display device. The desktop image is extended across both displays and you can move windows between each display or extend a single window across both displays. If you are using Windows(R) 2000, you cannot use this function. If you are using Windows XP, you can use this function on some ThinkPad computer models, but not all.


Choose display settings

This wizard page enables you to configure the screen resolution, color quality, and refresh rate of the video output signal that is sent to the display devices you have selected on the Choose Display Configuration page. For certain display device combinations, you also will need to choose which device will receive the video output signal when a movie file (for example, an MPEG file) is played on your computer.

Note: Setting a resolution that is not supported by the selected display device may result in any of the following:

  • A clipped image that is larger than the available display area of the device.

  • An image that is smaller than the available display area of the device.

  • A flickering, distorted, or blank image.

To ensure that the display settings that you have selected will work correctly on the chosen display devices, click Test to show a test screen. Use this screen to verify that the size, color, and clarity of the displayed image is acceptable to you before using the scheme to give a presentation.


Ensure an uninterrupted presentation

On this wizard page, you can enable several options that help avoid interruptions to your presentation.

Use "Presentation (with projector)" extended power scheme to disable standby and LCD shutoff timers:

If you choose this option, your computer does not enter into a power-saving mode that makes the display go blank during a pause in your presentation.

Disable screen saver:

If you choose this option, your presentation is not interrupted by the screen saver even if you have a long pause.

Show presentation on clean desktop:

If you choose this option, the following Windows desktop images are completely hidden.

  • Desktop background image

  • Start menu

  • Task bar

  • System tray and the associated pop-up notifications

  • Desktop icons

  • Running application windows including instant messaging windows

In the Clean Desktop mode, a small Control Panel window appears in the lower right corner of the display, so that during your presentation you can open a new file and return to your usual desktop settings. Any file opened through this Control Panel window is not hidden while you operate in this mode, and is automatically closed when you return to your usual desktop settings.


Configure additional settings

On this wizard page, you can configure additional settings when a specific presentation scheme is applied.

Turn on ThinkLight:

Choose this option to illuminate your keyboard while this scheme is active. This is helpful if you will be in a dark environment while this scheme is used.

Change desktop background to:

Choose this option to display a different image in the background of your desktop while this scheme is active. If you choose "(None)", a blank background image will be displayed.

Automatically open a selected file:

If you choose this option, the presentation file you select will be opened automatically when this scheme is applied.


View summary and save scheme

This wizard page shows a summary of the settings you have selected.

To save this scheme, type a descriptive name and then click Finish. The name you type will be displayed in the Fn + F7 on-screen display menu and in the Manage Presentation Director Settings window.

If you want to change settings before clicking Finish, click Back until you see the corresponding wizard page. Change the desired settings. Then click Next until you return to the Summary page.


Manage Presentation Director settings

The Manage Presentation Director Settings window is shown when you click Manage Schemes... from the Fn+F7 on-screen display menu or launch Presentation Director from the Start menu. This window enables you to do the following:

  • Create new schemes

  • Edit existing schemes

  • Delete existing schemes

  • Choose and apply a scheme

  • Capture your currently used display settings as a default scheme

  • Change the order in which schemes are listed in the on-screen display menu

  • Select which schemes are shown in the on-screen display menu

  • Choose a scheme that will be automatically applied when you dock your ThinkPad computer

  • Enable a system tray icon that enables access to Presentation Director functions

  • Disable schemes that use an external display device when no external devices are present

  • Restore your normal display settings automatically when your ThinkPad computer resumes from a sleep state

  • Import Presentation Director display schemes

  • Export Presentation Director display schemes

  • Change the action performed by the Fn + F7 key combination

Create new schemes

Refer to the Creating New Presentation and Display Schemes topic for details.

Edit existing schemes

To edit a scheme, select the scheme from the My Display Schemes list and then click Edit to open a tabbed properties page for that scheme. The General View tab is a summary of the scheme settings. The Display tab enables you to change display mode, resolution, color depth, and refresh rate settings. To change presentation options, click the Options tab.

Note: You cannot directly edit the settings of the "My Normal Display Settings" scheme. See Capture your Currently Used Display Settings as a Default Scheme to learn how to update the settings stored in this scheme.

Delete existing schemes

To delete a scheme, select the scheme from the My Display Schemes list and then click Delete.

Choose and apply a scheme

To use or apply a scheme, select the scheme from the My Display Schemes list and then click Apply.

Change the order in which schemes are listed in the On-Screen Display menu

You can choose the order in which a scheme is listed in the on-screen display menu by choosing the scheme in the My Display Schemes list and then clicking the Up or Down arrow buttons that are located to the right of the list. Schemes will be shown in the order indicated within the My Display Schemes list.

Select which schemes are shown in the On-Screen Display menu

You can select which schemes are shown in the on-screen display menu by selecting or deselecting the corresponding checkbox in the My Display Schemes list. Selecting the checkbox will show the scheme in the on-screen display menu. Deselecting the checkbox will hide the scheme in the on-screen display menu, but does not delete it from the My Display Schemes list so you can use it later.

Choose a scheme that will be automatically applied when you dock your ThinkPad computer

To automatically apply a scheme upon docking your ThinkPad computer, select the Immediately apply this presentation scheme option in the When ThinkPad is Docked section of the window and then choose a scheme from the dropdown list.

Enable a system tray icon that enables access to Presentation Director functions

To add a Presentation Director icon to your system tray, select the Show Presentation Director icon in task bar system tray option.

Left-clicking the tray icon will open a menu that enables you to choose and apply schemes and to open the Presentation Director application. Right-clicking on the icon enables you to close the icon and remove it from the system tray.

Disable schemes that use an external display device when no external devices are present

Applying a scheme that displays video output on an external device when that device is not actually present can produce unexpected results such as a blank screen image. Click Options and then select the Disable schemes that use an external monitor, projector, or television if none is attached to my ThinkPad option to automatically disable schemes (thereby preventing you from choosing them) when an external display device is not available.

Note: Some ThinkPad(R) models do not support video switching to an unattached display device. This option is permanently enabled on those models.

Restore your normal display settings automatically when your ThinkPad resumes from a sleep state

Enabling this option will cause Presentation Director to automatically apply the "My Normal Display Settings" scheme when your ThinkPad resumes from a sleep state.

Import Presentation Director display schemes

To import a scheme that was created on another computer, click the Import Scheme button on the 'Option' dialog box. Select the file containing the display scheme and then click Open.

Export Presentation Director display schemes

To export a scheme for use on another computer, click the Export Scheme button on the 'Option' dialog box. Select the display scheme that you want to export.


Capture current settings as default scheme

You can capture the display settings that are currently used by your ThinkPad computer and save them as a special default scheme called "My Normal Display Settings." This scheme enables you to quickly return to your preferred display settings after giving a presentation.

If the "My Normal Display Settings" scheme does not already exist, Presentation Director automatically creates it when you first apply a scheme.

To update the "My Normal Display Settings" scheme, select it on the My Display Schemes list and then click Capture.

The "My Normal Display Settings" scheme captures and saves the following settings:

  • Display configuration or mode (the device or devices that are used to display video output)

  • Resolution

  • Color depth

  • Refresh rate

  • Power management settings

  • Screen saver settings

  • Desktop icon placement

  • Desktop background image file

  • ThinkLight status

Note: Certain display mode configurations cannot be captured and properly applied by Presentation Director. This capability depends on the operating system and video adapter used on your computer.

Configurations supported by the capture function

In general, Presentation Director can capture any display configuration or mode setting except for the following:

  • Combination of television and external monitor

  • Any display mode selection that outputs a video signal to an external PCI video adapter in a docking station


Configure Fn + F7 key combination behavior

You can set the Fn + F7 key combination to perform one of these three functions:

  • Show the on-screen display menu from which you can quickly select and apply a scheme. This is the default action.

  • Immediately apply a pre-selected scheme without showing the on-screen display menu.

  • Switch display output from the ThinkPad LCD to an externally attached display device to both devices and back with each consecutive press of the Fn + F7 key combination. This was the default behavior of Fn + F7 on previous ThinkPad systems.

To change the action performed when you press the Fn + F7 key combination, click Fn + F7 Settings from either the on-screen display menu or the Manage Presentation Director Settings window and then choose the action that you prefer.


Presentation Director status icon

The Presentation Director status icon is displayed in the system tray.

  • Normal state

  • Using "Presentation (with projector)" extended power scheme to disable standby and LCD shutoff timers

To switch display schemes or launch Presentation Director, click the icon.

To remove the icon from the system tray, right-click the icon and select Close Presentation Director Tray Icon.


Trademarks

The following terms are trademarks or service marks of Lenovo in the United States or other countries:

  • ThinkPad

  • ThinkLight

The following terms are trademarks of other companies:

  • Microsoft : Microsoft Corporation

  • Windows : Microsoft Corporation